﻿Public Class Entity

    Private _userProperties As Dictionary(Of String, String)
    Public Property UserProperties() As Dictionary(Of String, String)
        Get
            Return _userProperties
        End Get
        Set(ByVal value As Dictionary(Of String, String))
            _userProperties = value
        End Set
    End Property

    Public Sub New(ByVal props As Dictionary(Of String, String))
        Me.UserProperties = New Dictionary(Of String, String)(props)
    End Sub

    Public Overrides Function ToString() As String
        Dim tmpStr As String
        For Each kvp As KeyValuePair(Of String, String) In UserProperties
            tmpStr += String.Format("{0}:{1} ", kvp.Key, kvp.Value)
        Next
        Return tmpStr
    End Function

    Public Function UserPropertyExists(ByVal propertyName As String) As Boolean
        Dim tmp As String
        Try
            tmp = Me.UserProperties(propertyName)
            Return True
        Catch ex As KeyNotFoundException
            Return False
        End Try
    End Function

End Class
